// Stencil
import { h } from "@stencil/core";
export class SystemAnnouncementContent {
    constructor() {
        // Props
        this.message = null;
    }
    ////////////////////////////////////////////////////////////////
    // Render
    ////////////////////////////////////////////////////////////////
    render() {
        return (h("div", null,
            h("p", null, this.message)));
    }
    static get is() { return "system-announcement-content"; }
    static get originalStyleUrls() { return {
        "$": ["system-announcement-content.scss"]
    }; }
    static get styleUrls() { return {
        "$": ["system-announcement-content.css"]
    }; }
    static get properties() { return {
        "message": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "string",
                "resolved": "string",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": ""
            },
            "attribute": "message",
            "reflect": false,
            "defaultValue": "null"
        }
    }; }
}
